#
# Copyright 2018 Scytl Secure Electronic Voting SA
#
# All rights reserved
#
# See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
#

DECRYPTION_URL=http://localhost:8080/decrypt-webapp
COUNTING_URL=http://localhost:8080/counting-webapp
CONFIG_GENERATOR_URL=http://localhost:8080/config-generator
TALLYING_URL=http://localhost:8080/tallying-webapp
CREATE_BALLOT_BOX_URL=http://localhost:8080/config-generator/createBallotBoxes
CREATE_ELECTORAL_BOARD_KEYS_URL=http://localhost:8080/config-generator/createElectoralBoardKeyPair
CREATE_ELECTION_EVENT_URL=http://localhost:8080/config-generator/createElectionEvent
CREATE_VOTING_CARD_SET_URL=http://localhost:8080/config-generator/createVotingCardSet
CREATE_CLEANSING_DATA_URL=http://localhost:8080/config-generator/cleansingdata
CLEANSING_URL=http://localhost:8080/cleansing
PROGRESS_URL=http://localhost:8080/config-generator/progress
MIXING_URL=http://localhost:8080/mixing/execute

# Config generation parameters
config.param.nr.credentials.per.file=1000
config.param.nr.processes=4

# Config counting
counting.enabled=true

# Config tallying
tallying.enabled=true
# configure the election in 1 or 2 phases
# 1 phase: false, 2 phases: true
confirmation.required=true

write.time.out=3700
read.time.out=3700
connection.time.out=3700

